#include <bits/stdc++.h>
using namespace std;
const int N=2e5+5;
long long n,q,w,a[N];
set <long long> s;
int main()
{
    cin >> n;
    for(int i=1; i<=n; i++){
		cin >> a[i];
		s.insert(a[i]);
	}
	if(s.size()==(n+1)/2){
		set <long long> :: iterator it=s.begin();
		for(int i=1; it!=s.end(); i++, it++){
			cout << *it << " ";
		}
	}
	else{
		cout << -1;
	}
}
